> For the complete documentation index, see [llms.txt](https://docs.fieldmotion.com/fieldmotion-api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fieldmotion.com/fieldmotion-api-docs/scheduleofrates/_add.md).

# \_add

Create a Schedule of Rates.

### Parameters

#### name

Name for the Schedule of Rates.

#### cost

Cost for the Schedule of Rates.

#### code

Code for the Schedule of Rates.

#### description

Description of the Schedule of Rates.

#### nominal\_code

Nominal code to be set for the Schedule of Rates.

### Example

```
FM_api('ScheduleOfRates_add', ['name' => 'Test',
                             'cost' => '2000',
													   'code' => '2056',
														   'description' => 'Test description',
														   'nominal_code' => '0'])
```

### On Success

```
""insert into user82878_schedule_of_rates set name=\"Test \", description=\"Test  description\", code=\"2056\", cost=2000, stock_used=\"null\", last_edited=\"2018-10-10 11:49:16\", meta=\"{\\\"nominal\\\":\\\"0\\\"}\"""
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/scheduleofrates/_add.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
